Publishing details

Changelog

libgit2 (0.27.4+dfsg.1-0.1~ubuntu14.04.1~ppa1) trusty; urgency=medium

  * Backport to trusty.
  * Revert "Drop libgit2-dbg and migrate to dbgsym", not compatible with
    trusty's debhelper.
  * Revert to debhelper compatibility level 9.

libgit2 (0.27.4+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Totally For Reals fix the segfaults. (Closes: #904004)

libgit2 (0.27.0+dfsg.1-0.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix random segfaults in threads::diff. (Closes: #904004)
  * Don't specifically use gcc-8 now that it's already the Debian default.

libgit2 (0.27.0+dfsg.1-0.8) unstable; urgency=medium

  * Non-maintainer upload
  * Force build with gcc-8 to fix segfaults in armhf build (Closes: #904004)

libgit2 (0.27.0+dfsg.1-0.7) unstable; urgency=medium

  * Non-maintainer upload
  * Enable basic autopkgtest

libgit2 (0.27.0+dfsg.1-0.6) unstable; urgency=medium

  * Non-maintainer upload
  * Reupload to unstable

libgit2 (0.27.0+dfsg.1-0.5) experimental; urgency=medium

  * Non-maintainer upload
  * Switch vcs to salsa
  * Bump standards version to 4.1.4
  * Bump debhelper compatibility level to 11

libgit2 (0.27.0+dfsg.1-0.4) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix stack smashing error on 32-bit targets (Closes: #900126)

libgit2 (0.27.0+dfsg.1-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * Don't add mbedtls in pkgconfig file (upstream patch)
  * Fix test failure due to alignment-related crashes (Closes: #900059)

libgit2 (0.27.0+dfsg.1-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Disable tests requiring internet access
  * Explicitly specify mbedTLS for https (Closes: #899253)

libgit2 (0.27.0+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.27.0 (Closes: #869665)
  * Switch to mbedTLS with upstream patch
    (Thanks to Nicolas Braud-Santoni for his efforts to update curl support
    patch)
  * Library transition libgit2-26 to libgit2-27

libgit2 (0.26.0+dfsg.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Declare compliance with standards version 4.1.3.
    * debian/control: Replace `Priority: extra` with `optional`
    * debian/copyright
      + Refer to the CC0 license file.
        Closes: #882632
      + Use HTTPS URIs

  * debian/watch: Fix generated version numbers

  * Make the package lintian-clean
    * debian/control
      + Use canonical Vcs-* URLs
      + Use an HTTPS URL for the homepage
    * Switch to debhelper 11
    * Lintian overrides
      * Remove empty override files
      * Relocate source file to debian/source/
      * Rename tag debian-watch-may-check-gpg-signature

libgit2 (0.26.0+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Use git_curl_stream_new for HTTPS because we don't link against openssl.

libgit2 (0.26.0+dfsg.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable GSS authentication support.
  * Remove unused deps (Closes: #861752)

libgit2 (0.25.1+really0.24.6-1) unstable; urgency=medium

  * Revert 0.25.1 in unstable, 0.24.5 was already in unstable 0.25.1 was
    uploaded after the freeze.
  * Release 0.24.6 (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406)

libgit2 (0.25.1-2) unstable; urgency=medium

  * Upload to unstable

libgit2 (0.25.1-1) experimental; urgency=medium

  * New upstream release. (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406, #857068)

 -- Colin Watson <email address hidden>  Wed, 14 Nov 2018 13:14:28 +0000

Available diffs

Builds

Built packages

Package files